## Create Vectorize Index `client.vectorize.indexes.create(IndexCreateParamsparams, RequestOptionsoptions?): CreateIndex | null` **post** `/accounts/{account_id}/vectorize/v2/indexes` Creates and returns a new Vectorize Index. ### Parameters - `params: IndexCreateParams` - `account_id: string` Path param: Identifier - `config: IndexDimensionConfiguration | VectorizeIndexPresetConfiguration` Body param: Specifies the type of configuration to use for the index. - `IndexDimensionConfiguration` - `dimensions: number` Specifies the number of dimensions for the index - `metric: "cosine" | "euclidean" | "dot-product"` Specifies the type of metric to use calculating distance. - `"cosine"` - `"euclidean"` - `"dot-product"` - `VectorizeIndexPresetConfiguration` - `preset: "@cf/baai/bge-small-en-v1.5" | "@cf/baai/bge-base-en-v1.5" | "@cf/baai/bge-large-en-v1.5" | 2 more` Specifies the preset to use for the index. - `"@cf/baai/bge-small-en-v1.5"` - `"@cf/baai/bge-base-en-v1.5"` - `"@cf/baai/bge-large-en-v1.5"` - `"openai/text-embedding-ada-002"` - `"cohere/embed-multilingual-v2.0"` - `name: string` Body param - `description?: string` Body param: Specifies the description of the index. ### Returns - `CreateIndex | null` - `config?: IndexDimensionConfiguration` - `dimensions: number` Specifies the number of dimensions for the index - `metric: "cosine" | "euclidean" | "dot-product"` Specifies the type of metric to use calculating distance. - `"cosine"` - `"euclidean"` - `"dot-product"` - `created_on?: string` Specifies the timestamp the resource was created as an ISO8601 string. - `description?: string` Specifies the description of the index. - `modified_on?: string` Specifies the timestamp the resource was modified as an ISO8601 string. - `name?: string` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const createIndex = await client.vectorize.indexes.create({ account_id: '023e105f4ecef8ad9ca31a8372d0c353', config: { dimensions: 768, metric: 'cosine' }, name: 'example-index', }); console.log(createIndex.config); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "config": { "dimensions": 768, "metric": "cosine" }, "created_on": "2022-11-15T18:25:44.442097Z", "description": "This is my example index.", "modified_on": "2022-11-15T18:25:44.442097Z", "name": "example-index" }, "success": true } ```